> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List S3 buckets

> Returns a paginated list of all buckets within an S3 storage.

Note: Prefer /provisioning/v2/storage/{`storage_id`}/s3/buckets which returns a wrapped response with count and results.



## OpenAPI

````yaml /api-reference/services_documented/object_storage_api.yaml get /storage/provisioning/v1/storage/{storage_id}/s3/buckets
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Object Storage API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Notifications
    x-displayName: Notifications
  - name: SSHKeys
    x-displayName: SSHKeys
  - name: Storage Locations
    x-displayName: Storage Locations
  - name: Storage
    x-displayName: Storage
  - name: Storage Statistics
    x-displayName: Storage Statistics
  - name: S3-Compatible Storage
    x-displayName: S3-Compatible Storage
  - name: SFTP Storage
    x-displayName: SFTP Storage
paths:
  /storage/provisioning/v1/storage/{storage_id}/s3/buckets:
    get:
      tags:
        - Storage
      summary: List S3 buckets
      description: >-
        Returns a paginated list of all buckets within an S3 storage.


        Note: Prefer /provisioning/v2/storage/{`storage_id`}/s3/buckets which
        returns a wrapped response with count and results.
      operationId: storageListBucketsHttp
      parameters:
        - name: offset
          in: query
          description: Number of records to skip before beginning to write in response.
          schema:
            minimum: 0
            type: integer
            format: uint64
        - name: limit
          in: query
          description: Max number of records in response
          schema:
            maximum: 1000
            minimum: 1
            type: integer
            format: uint64
            default: 10
        - name: storage_id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: StorageListBucketsEndpointRes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StorageListBucketsEndpointRes'
        '400':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
      deprecated: true
components:
  schemas:
    StorageListBucketsEndpointRes:
      type: object
      properties:
        data:
          type: array
          description: List of S3 buckets in the storage
          example:
            - name: my-bucket
            - name: another-bucket
          items:
            $ref: '#/components/schemas/BucketDto'
        total_count:
          type: integer
          description: Total number of buckets found
          format: int64
          example: 2
      description: StorageListBucketsEndpointRes output
    ErrResponse:
      type: object
      properties:
        error:
          type: string
      description: ErrResponse is an error response
    BucketDto:
      required:
        - name
      type: object
      properties:
        lifecycle:
          type: integer
          description: Lifecycle policy expiration days (optional)
          format: int64
          example: 30
        name:
          type: string
          example: my-bucket
      description: BucketDto for response
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````